.panel.panel-default{"ng-controller" => "SurveyNumberCtrl"}
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Survey Number
            %th Hissa number
            %th Grid1
            %th Grid2
            %th Grid3
            %th Grid4
            %th
            %th
      
        %tbody
          %tr{ "ng-repeat" => "survey_number in data_list "}
            %td {{ survey_number.number }}
            %td {{ survey_number.hissa_number}}
            %td {{ survey_number.grid1 }}
            %td {{ survey_number.grid2 }}
            %td {{ survey_number.grid3 }}
            %td {{ survey_number.grid4 }}
            %td
              %a{ "ng-click" => "edit(survey_number.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(survey_number.id, survey_number.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_survey_number
            %td 
              %input{:type => "text", "ng-model" => "vm.number", :class => "form-control"}
            %td 
              %input{:type => "text", "ng-model" => "vm.hissa_number", :class => "form-control"}
            %td 
              %input{:type => "text", "ng-model" => "vm.grid1", :class => "form-control"}
            %td 
              %input{:type => "text", "ng-model" => "vm.grid2", :class => "form-control"}
            %td 
              %input{:type => "text", "ng-model" => "vm.grid3", :class => "form-control"}
            %td 
              %input{:type => "text", "ng-model" => "vm.grid4", :class => "form-control"}
 
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 


